Loading...
Searching...
No Matches
casacore::BlockIO_global_functions_BlockIO Struct Reference
casa package (libcasa_casa) » Containers_module

More...

`#include <BlockIO.h>`

## Public Member Functions

template<class T>
void | putBlock (AipsIO &, const Block< T > &, Int nr)
| These functions allow the user to read and write Blocks from the AipsIO stream.
template<class T>
void | putBlock (AipsIO &ios, const Block< T > &blk)
template<class T>
void | getBlock (AipsIO &, Block< T > &)
template<class T>
void | showBlock (std::ostream &, const Block< T > &, Int nr)
| These functions allow the user to write Blocks out to a standard ostream.
template<class T>
void | showBlock (std::ostream &ios, const Block< T > &blk)
template<class T>
AipsIO & | operator<< (AipsIO &ios, const Block< T > &blk)
| These are the standard shift operators for writing an entire Block out to a stream.
template<class T>
AipsIO & | operator>> (AipsIO &ios, Block< T > &blk)
template<class T>
std::ostream & | operator<< (std::ostream &ios, const Block< T > &blk)

## Detailed Description

IO functions for Block

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Intended use:

Public interface

### Synopsis

These functions allow the user to write either an entire or a partial Block out to an ostream or to AipsIO. These functions provide simple storage and display capabilities for Block.

Definition at line 56 of file BlockIO.h.

## Member Function Documentation

## getBlock()

template<class T>

void casacore::BlockIO_global_functions_BlockIO::getBlock | ( | AipsIO & | ,
|  | Block< T > & | )

Referenced by operator>>().

## operator<<() [1/2]

template<class T>

AipsIO & casacore::BlockIO_global_functions_BlockIO::operator<< | ( | AipsIO & | ios,
|  | const Block< T > & | blk )

inline

These are the standard shift operators for writing an entire Block out to a stream.

Shift operators are provided to write the block out to either AipsIO or ostream. A shift operator is also provided for reading a Block in from AipsIO.
Note: STL containers like vector and list are written in the same way as a Block, so they can be written one way and read back the other;

Definition at line 108 of file BlockIO.h.

References casacore::Block< T >::nelements(), and putBlock().

## operator<<() [2/2]

template<class T>

std::ostream & casacore::BlockIO_global_functions_BlockIO::operator<< | ( | std::ostream & | ios,
|  | const Block< T > & | blk )

inline

Definition at line 120 of file BlockIO.h.

References casacore::Block< T >::nelements(), and showBlock().

## operator>>()

template<class T>

AipsIO & casacore::BlockIO_global_functions_BlockIO::operator>> | ( | AipsIO & | ios,
|  | Block< T > & | blk )

inline

Definition at line 114 of file BlockIO.h.

References getBlock().

## putBlock() [1/2]

template<class T>

void casacore::BlockIO_global_functions_BlockIO::putBlock | ( | AipsIO & | ,
|  | const Block< T > & | ,
|  | Int | nr )

These functions allow the user to read and write Blocks from the AipsIO stream.

putBlock writes the Block to the stream. If a number, nr, of elements is specified, only the first nr elements will be written out to AipsI0.

getBlock reads a Block in from an AipsIO stream.

Referenced by operator<<(), and putBlock().

## putBlock() [2/2]

template<class T>

void casacore::BlockIO_global_functions_BlockIO::putBlock | ( | AipsIO & | ios,
|  | const Block< T > & | blk )

inline

Definition at line 78 of file BlockIO.h.

References casacore::Block< T >::nelements(), and putBlock().

## showBlock() [1/2]

template<class T>

void casacore::BlockIO_global_functions_BlockIO::showBlock | ( | std::ostream & | ,
|  | const Block< T > & | ,
|  | Int | nr )

These functions allow the user to write Blocks out to a standard ostream.

The user can either write the entire Block out to the stream, or if a number of elements, nr, is specified, only the first nr elements of the Block will be written out.

Referenced by operator<<(), and showBlock().

## showBlock() [2/2]

template<class T>

void casacore::BlockIO_global_functions_BlockIO::showBlock | ( | std::ostream & | ios,
|  | const Block< T > & | blk )

inline

Definition at line 94 of file BlockIO.h.

References casacore::Block< T >::nelements(), and showBlock().

The documentation for this struct was generated from the following file:

- casa/Containers/BlockIO.h